=head1 NAME

fbguard - start and restart firebid server

=head1 SYNOPSIS

=over

=item B<fbguard> -forever [I<option>...]  (default)

=item B<fbguard> -onetime [I<option>...]

=back

=head1 DESCRIPTION

B<fbguard> is the Firebird guardian. It starts Firebird super- or superclassic
server and restarts it in case it crashes.

=head1 COMMANDS


=over

=item B<-forever>

Keep restarting the Firebird server forever. This is the default if no command
is given.

=item B<-onetime>

The opposite of B<-forever>. Doesn't restart the Firebird server if it crashes.

=back

=head1 OPTIONS

=over

=item B<-daemon>

Detach from the controlling terminal.

=item B<-pidfile> I<filename>

Write the PID of thee started firebird server to the specified file.

=item B<-signore>

Ignore startup errors. Combining this with B<-forever> can lead to endless loop
in case there is some problem that prevents the Firebird server from starting.

=back

=head1 COPYRIGHT & LICENSE

Copyright (C) Damyan Ivanov, 2009.

This manpage was written by Damyan Ivanov for the Debian project but may be
used by others. Permission is granted to use this document, with or without
modifications, provided that this notice is retained. If we meet some day, and
you think this stuff is worth it, you can buy me a beer in return.
